{# Copyright 2020 Karlsruhe Institute of Technology
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
 #
 #     http://www.apache.org/licenses/LICENSE-2.0
 #
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License. #}

<h4 id="login">Logging in</h4>
<p>
  There are various ways to authenticate with Kadi4Mat. Each instance may have one or more authentication providers
  registered, which are briefly described below.
</p>
<dl class="row">
  <dt class="col-md-2">Shibboleth</dt>
  <dd class="col-md-10">
    Shibboleth allows logging in using an existing account of a user's home institution. Each institution needs to be
    enabled separately in Kadi4Mat. Some institution's identity providers may not release all required user attributes
    to Kadi4Mat by default. In this case, the administrator of the Shibboleth identity provider needs to be contacted.
  </dd>
  <dt class="col-md-2">LDAP</dt>
  <dd class="col-md-10">
    LDAP also allows logging in using existing user accounts residing in a specific LDAP installation, e.g. in an Active
    Directory. This method of authentication is not necessarily tied to any specific institution.
  </dd>
  <dt class="col-md-2">Local credentials</dt>
  <dd class="col-md-10">
    This method of authentication uses separate accounts local to this application. Depending on the configuration of
    a Kadi4Mat instance, registration may or may not be enabled.
  </dd>
</dl>
